iv_time(3)

NAME
iv_validate_now, iv_invalidate_now, now - ivykis time handling

SYNOPSIS
#include <iv.h>

extern struct timespec now;
void iv_validate_now(void);
void iv_invalidate_now(void);

DESCRIPTION
now is a global variable that reflects the current time-of-day. Applications written to the ivykis API generally require to know the current time-of-day in many places, and therefore effort is done to cache this quantity.

The contents of now might be stale. Calling the function iv_validate_now ensures that the current contents of now are up-to-date.

The function iv_invalidate_now is called to invalidate the currently cached time-of-day. This function should be called after any operation that takes a significant amount of wall clock time.

SEE ALSO
ivykis(3), iv_examples(3)